<ion-header>
  <ion-toolbar color="secondary">
    <ion-title>Home Hero Services</ion-title>
  </ion-toolbar>
</ion-header>
 
<ion-content class="ion-padding">
  <ion-img src="assets\images\bg.jpg"></ion-img>
  <form [formGroup]="credentialForm">
    <ion-item>
      <ion-input
        placeholder="Email address"
        formControlName="email"
        autofocus="true"
        clearInput="true"
      ></ion-input>
    </ion-item>
    <div *ngIf="(email.dirty || email.touched) && email.errors" class="errors">
      <span *ngIf="email.errors?.required">Email is required</span>
      <span *ngIf="email.errors?.email">Email is invalid</span>
    </div>
 
    <ion-item>
      <ion-input
      placeholder="Password"
      type="password"
      formControlName="password"
      clearInput="true"
    ></ion-input>
    </ion-item>
    <div *ngIf="(password.dirty || password.touched) && password.errors" class="errors">
      <span *ngIf="password.errors?.required">Password is required</span>
      <span *ngIf="password.errors?.minlength">Password needs to be 6 characters</span>
    </div>
  </form>
 
    <ion-button (click)="signUp()" expand="full">Sign up</ion-button>
    <ion-button (click)="signIn()" expand="full" color="secondary">Login</ion-button>
 
</ion-content>